Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile
Class CompilationUnitParser

    java.lang.Object
      org.modeshape.sequencer.javafile.CompilationUnitParser

    public class CompilationUnitParser

extends Object

The Parser, that process the a compilation unit.

Constructor Summary
`CompilationUnitParser()`

Method Summary
`static org.eclipse.jdt.core.dom.ASTNode` | `runJLS3Conversion(char[] source, boolean resolveBindings)` Parses and process the java source code as a compilation unit and the result it abstract syntax tree (AST) representation and this action uses the third edition of java Language Specification, that gets the possibility to support J2SE 5 during the parsing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationUnitParser

    public CompilationUnitParser()

Method Detail

### runJLS3Conversion

    public static org.eclipse.jdt.core.dom.ASTNode runJLS3Conversion(char[] source,
                                                                     boolean resolveBindings)

  Parses and process the java source code as a compilation unit and the result it abstract syntax tree (AST) representation and this action uses the third edition of java Language Specification, that gets the possibility to support J2SE 5 during the parsing.

  Parameters:
    `source` - - the java source to be parsed (i.e. the char[] contains Java source).
    `resolveBindings` - - for resolving bindings to get more informations from the unit.
  Returns:
    Abstract syntax tree representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.